import request from '@/utils/request'
//新增表单
export function addForm(data: any) {
  return new Promise(resolve => {
    resolve({
      workflowId: '7a4f8b64eb79492894a1cdcc303ff4a0',
      errCause: '',
      errCode: 0,
      msg: '创建工作流自定义表单成功',
      success: true
    })
  })
}
//修改表单
export function putForm(data?: any) {
  return new Promise(resolve => {
    resolve({
      workflowId: '7a4f8b64eb79492894a1cdcc303ff4a0',
      errCause: '',
      errCode: 0,
      msg: '创建工作流自定义表单成功',
      success: true
    })
  })
}
//根据流程执行id查询流程详情
export function getExecuteFlow(data: any) {
  return new Promise(resolve => {
    resolve({
      errCause: '',
      errCode: 0,
      flowExpr:
        '{"tableId":1,"workFlowDef":{"name":""},"directorMaxLevel":4,"flowPermission":[],"nodeConfig":{"nodeName":"流程发起","nodeType":0,"priorityLevel":"","approvalType":"","subjects":[],"copyTo":[],"settype":"","selectRange":"","directorLevel":"","examineMode":"","noHanderAction":"","examineEndDirectorLevel":"","ccSelfSelectFlag":"","condGroup":{"type":"and","items":[]},"nodeUserList":[],"childNode":{"nodeName":"经理会签","error":false,"nodeType":1,"settype":1,"selectMode":1,"selectRange":0,"directorLevel":1,"examineMode":1,"noHanderAction":1,"examineEndDirectorLevel":0,"childNode":{"nodeName":"抄送人","nodeType":4,"ccSelfSelectFlag":1,"copyTo":[{"type":3,"subjectId":"fcf93841f7b4438f889dd2fdbba6a135","subjectName":"崔超"}],"childNode":{},"subjects":[],"error":false},"subjects":[{"type":3,"subjectId":"b5a619c86201443c972e5e20715470bb","subjectName":"吉宇晟"},{"type":3,"subjectId":"fcf93841f7b4438f889dd2fdbba6a135","subjectName":"崔超"}],"approvalType":"and"},"conditionNodes":[]}}',
      msg: '获取流程成功',
      success: true
    })
  })
}
//查询表单
export function getWorkflows(data: any) {
  return new Promise(resolve => {
    resolve({
      data: {
        pageNo: 1,
        totalCount: 1,
        workflows: [
          {
            createTime: '2023-03-22 13:43',
            id: '6aa8c6ded96d4689a05f97df66703cfd',
            name: '最新测试',
            state: 2,
            stateRemark: '正常'
          }
        ]
      },
      errCause: '',
      errCode: 0,
      msg: '获取审批流成功',
      success: true
    })
  })
}
//查询表单详情
export function getForm(data: any) {
  return new Promise(resolve => {
    resolve({
      errCause: '',
      errCode: 0,
      form: {
        formExpr:
          '{"props":{"labelWidth":100,"labelPosition":"top","size":"large"},"formItems":[{"id":"8MC6Mpt5","label":"存款","value":"","name":"input-number_8MC6Mpt5","type":"input-number","children":[],"options":[],"search":false,"list":true,"required":false,"rules":[],"props":{},"span":24},{"id":"WqGBzMmx","label":"金额","value":"","name":"input_WqGBzMmx","type":"input","children":[],"options":[],"search":false,"list":true,"required":false,"rules":[],"props":{},"span":24},{"id":"AFUov14b","label":"名称","value":"","name":"input_AFUov14b","type":"input","children":[],"options":[],"search":false,"list":true,"required":false,"rules":[],"props":{},"span":24}],"span":24}',
        version: 1,
        workflowId: '6aa8c6ded96d4689a05f97df66703cfd'
      },
      msg: '创建工作流自定义流程成功',
      success: true
    })
  })
}

//新增流程
export function addFlow(data: any) {
  return new Promise(resolve => {
    resolve({
      errCause: '',
      errCode: 0,
      msg: '创建工作流自定义流程成功',
      success: true
    })
  })
}
//修改流程
export function putFlow(data?: any) {
  return new Promise(resolve => {
    resolve({
      errCause: '',
      errCode: 0,
      msg: '创建工作流自定义流程成功',
      success: true
    })
  })
}
//删除流程
export function delFlow(data?: any) {
  return new Promise(resolve => {
    resolve({
      errCause: '',
      errCode: 0,
      msg: '创建工作流自定义流程成功',
      success: true
    })
  })
}
//查询流程详情
export function getFlow(data: any) {
  return new Promise(resolve => {
    resolve({
      errCause: '',
      errCode: 0,
      flowExpr:
        '{"tableId":1,"workFlowDef":{"name":""},"directorMaxLevel":4,"flowPermission":[],"nodeConfig":{"nodeName":"流程发起","nodeType":0,"priorityLevel":"","approvalType":"","subjects":[],"copyTo":[],"settype":"","selectRange":"","directorLevel":"","examineMode":"","noHanderAction":"","examineEndDirectorLevel":"","ccSelfSelectFlag":"","condGroup":{"type":"and","items":[]},"nodeUserList":[],"childNode":{"nodeName":"经理会签","error":false,"nodeType":1,"settype":1,"selectMode":1,"selectRange":0,"directorLevel":1,"examineMode":1,"noHanderAction":1,"examineEndDirectorLevel":0,"childNode":{"nodeName":"抄送人","nodeType":4,"ccSelfSelectFlag":1,"copyTo":[{"type":3,"subjectId":"fcf93841f7b4438f889dd2fdbba6a135","subjectName":"崔超"}],"childNode":{},"subjects":[],"error":false},"subjects":[{"type":3,"subjectId":"b5a619c86201443c972e5e20715470bb","subjectName":"吉宇晟"},{"type":3,"subjectId":"fcf93841f7b4438f889dd2fdbba6a135","subjectName":"崔超"}],"approvalType":"and"},"conditionNodes":[]}}',
      msg: '获取流程成功',
      success: true
    })
  })
}

//创建流程查询表单字段
export function getFormField(data: any) {
  return new Promise(resolve => {
    resolve({
      fields: [
        {
          fieldIdentity: 'input_1N5KzwbC',
          fieldName: '文本输入'
        },
        {
          fieldIdentity: 'input_klQH1Qb0',
          fieldName: '文本输入'
        }
      ],
      errCause: '',
      errCode: 0,
      msg: '获取表单字段成功',
      success: true
    })
  })
}
//创建流程查询表单字段
export function getExecuteFormField(data: any) {
  return new Promise(resolve => {
    resolve({
      fields: [
        {
          fieldIdentity: 'input_1N5KzwbC',
          fieldName: '文本输入'
        },
        {
          fieldIdentity: 'input_klQH1Qb0',
          fieldName: '文本输入'
        }
      ],
      errCause: '',
      errCode: 0,
      msg: '获取表单字段成功',
      success: true
    })
  })
}

//查询人员列表
export function getTangent() {
  return new Promise(resolve => {
    resolve({
      infos: [
        {
          id: '2d53723d31424e199e765db602355ba6',
          name: '杨立锐'
        },
        {
          id: 'e8b3be5c33f2430abea14b73484e1c47',
          name: '贾森岩'
        }
      ],
      errCause: '',
      errCode: 0,
      msg: '获取用户成功',
      success: true
    })
  })
}
