
export const comps = [
  {
    label: '输入型',
    options: [
      {
        icon: 'icon-add-text-two',
        name: '文本输入',
        type: 'input'
      },
      {
        icon: 'icon-add-text-two',
        name: '数字输入',
        type: 'input-number'
      },
    ]
  },
  {
    label: '选择型',
    options: [
      {
        icon: 'icon-radio-two',
        name: '单选',
        type: 'radio-group'
      },
      {
        icon: 'icon-checkbox',
        name: '多选',
        type: 'checkbox-group'
      },
      {
        icon: 'icon-drop-down-list',
        name: '下拉',
        type: 'select'
      },
      {
        icon: 'icon-calendar-thirty-two',
        name: '日期选择器',
        type: 'date-picker',
        props: {
          type: 'date'
        }
      },
      {
        icon: 'icon-time',
        name: '时间选择器',
        type: 'time-picker'
      },
      {
        icon: 'icon-timer',
        name: '时间选择',
        type: 'time-select'
      },
      {
        icon: 'icon-upload-picture',
        name: '图片上传',
        type: 'image-upload'
      },
      {
        icon: 'icon-switch-one',
        name: '开关',
        type: 'switch'
      }
    ]
  },
]

export const typeMap = {
  radio: '单选',
  checkbox: '多选',
  select: '下拉',
  input: '单行文本',
  textarea: '多行文本',
}

export const configMap = {
  radio: {
    label: '',
    value: '',
    name: '',
    type: 'radio',
    placeholder: '',
    children: [],
    options: [],
    search: false,
    required: false
  },
  checkbox: '多选',
  select: '下拉',
  input: '单行文本',
  textarea: '多行文本'
}
